Subject: Re: bug#53038: 28.0.50; problem building

From: [email-masked]
Date: Fri, 07 Jan 2022 13:39:34 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Cc: [email-masked]
>> Date: Fri, 07 Jan 2022 13:08:55 +0100
>> 
>> > My suggestion is to run the failing command manually, and if it also
>> > fails, run it under a debugger to see why Emacs cannot find an
>> > existing Lisp file.
>> 
>> Thanks for the suggestion.
>> 
>> Is there some way to see what command the build tries to execte?
>
> Yes, "make V=1".

I get this:
make[2]: Entering directory '/mnt/fast/emacs2022/emacs/admin/unidata'
"../../src/bootstrap-emacs" -batch --no-site-file --no-site-lisp -l emoji.el -f emoji--generate-file ../../lisp/international/emoji-labels.el
Debugger entered--Lisp error: (file-missing "Cannot open load file" "No such file or directory" "emoji.el")

running the command manually I get the same error.

Since emoji.el is not present in admin/unidata  but rather in
lisp/international/emoji.el, I suppose bootstrap-emacs load path is set
somewhere? 

-- 
Joakim Verona
[email-masked]